# Cornflake NGINX module

This is a self-contained nginx module that lets you use Cornflake to generate k-ordered IDs for all requests in a system. You can use these IDs to match requests between the frontend and the backend (or whatevs, buddy) and since they are roughly sorted, you can actually tell the order (and time) of the requests.

**WARNING**: This module is experimental as *fuck*. Do not deploy on production yet. It needs a lot more testing.

## Usage

1. Add `--add-module=../cornflake/nginx` to your nginx configure command. `make` dat sexy daemon. That will build the cornflake module.

2. Now you have a `$request_id` variable. Do things with it. E.g.

    ```
    server {
        listen       80;
        server_name  github.com;
        location / {
            proxy_set_header x-github-cornflake-id $request_id;
            proxy_pass   http://localhost:8080;
        }
    }
    ```

    Pick it up on the backend. Or whatever you want. Unclear.

## Credits

lol u know who wrote tis thang
